Get by Listing
curl --request POST \
--url https://api.bigdata.com/v1/knowledge-graph/companies/listing \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"values": [
"XNAS:AAPL"
]
}
'import requests
url = "https://api.bigdata.com/v1/knowledge-graph/companies/listing"
payload = { "values": ["XNAS:AAPL"] }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({values: ['XNAS:AAPL']})
};
fetch('https://api.bigdata.com/v1/knowledge-graph/companies/listing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"US0378331005": {
"id": "D8442A",
"name": "Apple Inc.",
"description": "Apple Inc. (formerly Apple Computer Inc.), incorporated on January 03, 1977, designs, manufactures, and markets mobile communication and media devices, personal computing products, and portable digital music players worldwide.",
"type": "PUBLIC",
"country": "US",
"sector": "Technology",
"industry_group": "Computer Hardware",
"industry": "Computer Hardware",
"favicon": "http://www.apple.com/favicon.ico",
"webpage": "http://www.apple.com",
"isin_values": [
"CA03785Y1007",
"TH0150120408",
"TH0809121500",
"US0378331005"
],
"cusip_values": [
"037833100",
"03785Y100",
"P0R684385",
"Y100G4352",
"Y49876132"
],
"sedol_values": [
"2046251",
"BNC31R1",
"BPXWT99",
"BVBDDG1"
],
"listing_values": [
"XBKK:AAPL80",
"XNAS:AAPL"
]
}
},
"metadata": {
"request_id": "user_2nHybch9ZH2eWyGykznCeRxsk4G",
"timestamp": "2025-09-30T12:03:24.732779+00:00"
},
"usage": {
"knowledge_graph_tokens": 1
}
}Companies
Get by Listing
Locate companies using exchange listing identifiers.
POST
/
v1
/
knowledge-graph
/
companies
/
listing
Get by Listing
Authorizations
Body
application/json
Request body for listing lookups
Array of listing codes. Listing format: Combination of Market Identifier Code (MIC) and company ticker separated by ":"
Example:
["XNAS:AAPL"]
Response
200 - application/json
Successful response with company data mapped by listing
Response containing company data mapped by market identifiers
Object containing market identifiers as keys and company data as values
Show child attributes
Show child attributes
Example:
{
"US0378331005": {
"id": "D8442A",
"name": "Apple Inc.",
"description": "Apple Inc. (formerly Apple Computer Inc.), incorporated on January 03, 1977, designs, manufactures, and markets mobile communication and media devices, personal computing products, and portable digital music players worldwide.",
"type": "PUBLIC",
"country": "US",
"sector": "Technology",
"industry_group": "Computer Hardware",
"industry": "Computer Hardware",
"favicon": "http://www.apple.com/favicon.ico",
"webpage": "http://www.apple.com",
"isin_values": [
"CA03785Y1007",
"TH0150120408",
"TH0809121500",
"US0378331005"
],
"cusip_values": [
"037833100",
"03785Y100",
"P0R684385",
"Y100G4352",
"Y49876132"
],
"sedol_values": ["2046251", "BNC31R1", "BPXWT99", "BVBDDG1"],
"listing_values": ["XBKK:AAPL80", "XNAS:AAPL"]
}
}
Show child attributes
Show child attributes
Optional. Present for token-billing accounts only. Reports the number of tokens consumed by this request.
Show child attributes
Show child attributes
Was this page helpful?
⌘I